"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var space = exports.space = function space(num) {
  return Array.from(new Array(num)).join(" ");
};

var fillSpace = exports.fillSpace = function fillSpace(size, current) {
  return space(size - current);
};

var genOutput = exports.genOutput = function genOutput(_ref) {
  var input = _ref.input,
      chalkFn = _ref.chalkFn,
      length = _ref.length,
      _ref$left = _ref.left,
      left = _ref$left === undefined ? 0 : _ref$left,
      _ref$right = _ref.right,
      right = _ref$right === undefined ? 0 : _ref$right;

  var inputLenght = input.length;
  var output = chalkFn(input);
  (!length || inputLenght > length) && (length = inputLenght);

  return "" + space(left) + (output || []) + fillSpace(length, inputLenght) + space(right);
};

var ENV = exports.ENV = function ENV(_ref2) {
  var $0 = _ref2.$0,
      _args = _ref2._args,
      args = _ref2.args,
      options = _ref2.options;

  var env = {};
  env.NONE_ARGS = args.length === 0;
  env.NONE_OPTIONS = Object.keys(options).length === 0;
  env.NONE_INPUTS = env.NONE_ARGS && env.NONE_OPTIONS;
  env.NONE_FULL_ARGS = _args.length !== args.length;
  return env;
};